/**
* Script: main.js
* Written by: Radnen
* Updated: 12/7/2014
**/

var SW = GetScreenWidth();
var SH = GetScreenHeight();
var SW2 = GetScreenWidth() / 2;
var SH2 = GetScreenHeight() / 2;
var GREEN = CreateColor(0, 255, 0);
var BLACK = CreateColor(0, 0, 0);
var ALPHA = CreateColor(0, 0, 0, 0);

function game()
{
	CreatePerson("player", "blockman.rss", true);
	AttachInput("player");
	SetPersonFrameRevert("player", 8);
	SetRenderScript("test()");
	MapEngine("test.rmp", 60);
}

var point1 = { x: 0, y: 0 };
var point2 = { x: 0, y: 0 };
var point3 = { x: 0, y: 0 };

var points = [{ x: 0, y: 0 }, { x: SW, y: 0 }, { x: SW, y: SH }, { x: 0, y: SH }, point1, point2, point3, point1, { x: 0, y: SH }];
var surf   = null;
var time = GetTime();
var a1 = Math.PI;
var a2 = Math.PI*0.5;
var a3 = Math.PI*1.5;
var a  = 0;
var PI16 = Math.PI/64;

function test() {
	
	while (time + 16 < GetTime()) {
		a += PI16;
		var cosa = Math.cos(a)*45;
		var sina = Math.sin(a)*33.75;
		a1 += PI16;
		a2 += PI16;
		a3 += PI16;
		point1.x = SW2 + Math.cos(a1)*120 + cosa;
		point1.y = SH2 + Math.sin(a1)*90 + sina;
		point2.x = SW2 + Math.cos(a2)*120 + cosa;
		point2.y = SH2 + Math.sin(a2)*90 + sina;
		point3.x = SW2 + Math.cos(a3)*120 + cosa;
		point3.y = SH2 + Math.sin(a3)*90 + sina;
		time = GetTime();
	}
	
	surf = GrabSurface(0, 0, SW, SH);
	surf.polygon(points, GREEN, false);
	surf.replaceColor(GREEN, ALPHA);
	Rectangle(0, 0, SW, SH, BLACK);
	surf.blit(0, 0);
}